OWPERL(3)

NAME
owperl - perl interface for the 1-wire filesystem

SYNOPSIS
OW.pm
use OW ;
OW::init( interface );
OW::init( initialization string );

The full set of initialization options is extensive. They correspond roughly to the command line options of ,B owfs (1) owhttpd (1) and owftpd (1)
OW::get( path );
OW::put( path , value );
OW::finish();

DESCRIPTION

  owperl
owperl (3) is a perl module that provides an interface to OWFS. The path to each 1-wire device is the same as owfs (1)

owperl (3) is created by swig (1) (http://www.swig.org) which can be easily modified to support other programming languages.

FUNCTIONS

  OW::init( interface )
interface
Location of the 1-wire bus:

"u" Direct connection to the 1-wire interface on the USB port -- DS9490

/dev/ttySx
    Direct connection to a 1-wire interface on the serial port -- DS9097U or DS9097

port | :port | IPaddress:port
    Location of an owserver daemon that connects to the 1-wire bus. Multiple owperl as well as owfs and owhttpd programs can access the owserver process simultaneously. In fact, this will probably be the prefered mode of access to OWFS for owperl except in trivial applications.

EXAMPLE
perl -MOW -e "OW::init('/dev/ttyS1'); printf OW::get('');"

SEE ALSO

AVAILABILITY
http://www.owfs.org

AUTHOR
Paul Alfille (palfille@earthlink.net)